import { authRequest } from '/@/utils/request';

/**
 * @summary 通过CorpID 获取用户选择列表
 */
export const GetUserListTreeData = async (params) => {
	return authRequest({
		url: '/Auth/User/Std/GetByCorpID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 获取访问日志列表
 */
export const GetAccessLogPageList = async (params) => {
	return authRequest({
		url: '/Auth/User/Login/Log/GetStandardPageList@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 通过用户ID, 获取访问日志列表
 */
export const GetAccessLogPageListByUserID = async (params) => {
	return authRequest({
		url: '/Auth/User/Login/Log/GetStandardSoftwarePageListByUserID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 通过 CorpID, 获取访问日志列表
 */
export const GetAccessLogPageListByCorpID = async (params) => {
	return authRequest({
		url: '/Auth/User/Login/Log/GetStandardPageListByCorpID@V1.0',
		method: 'GET',
		params: params,
	});
};
